/*
 * Logger.java
 *
 * Created on 25 March 2005, 17:21
 */

package jim.common;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 *
 * @author  briggsj
 */
public class Logger {
    
    /**
     * Holds value of property logger.
     */
    private static Log logger;
    
    {
        System.setProperty("org.apache.commons.logging.Log", "java.util.logging.Log");
    }
    
    public static Log getLogger() {
        if (logger == null) {
            logger = LogFactory.getLog("");
        }
        return logger;
    }
    
    public static Log getLogger(Class clazz) {
        return LogFactory.getLog(clazz);
    }
}
