/*
 * MessageBundle.java
 *
 * Created on 24 March 2005, 16:41
 */

package jim.common.mail;



/**
 * A bundle of messages.
 * @author briggsj
 * @deprecated Use {@link BundleMessageFetcher} instead
 */
public class MessageBundle extends BundleMessageFetcher {
    
      
    /**
     * Constructor.
     * @param bundleName Name of the resource bundle
     */    
    public MessageBundle (String bundleName) {
        super(bundleName);
    }
    
    /**
     * Proxy for fetch
     * @param name Name of message
     * @return {@link EmailMessage}
     */    
    public EmailMessage getMessage (String name) {
        EmailMessage msg = fetch(name);
        return msg;
    }
}
