/*
 * MailApp.java
 *
 * Created on 19 April 2005, 20:59
 */

package jim.mailapp;

import jim.common.BaseApplication;

/**
 *
 * @author  briggsj
 */
public class MailApp extends BaseApplication {
    
    /** Creates a new instance of MailApp */
    protected MailApp() {
    }
    
    public String getBundleName() {
        return "resources/mailapp";
    }
    
    static private MailApp mailapp = null;
    
    public static BaseApplication getInstance() {
        if (mailapp == null) {
            mailapp = new MailApp();
        }
        return mailapp;
    }
    
}
