/*
 * BeanCreator.java
 *
 * Created on 22 December 2004, 15:20
 */

package jim.util.struts;

import java.io.IOException;

import javax.servlet.ServletException;

import jim.common.BaseApplication;
import jim.common.JimFatalException;
import jim.common.Trace;

import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 *
 * @author  briggsj
 */
public class BeanCreatorAction extends JimBaseAction {
    
    /** Creates a new instance of BeanCreator */
    public BeanCreatorAction() {
    }
    
    public BaseApplication createApplication() {
        return null;
    }
    
    public ActionForward doExecute(StrutsUtils su) throws IOException, ServletException, JimFatalException {
        // create bean based on parameter
        ActionMapping mapping = su.getMapping();
        String param = mapping.getParameter();
        String list[] = param.split(";", 2);
        String className = list[0];
        String formName = list[1];
        Trace.print("Creating new " + className + " bean under key " + formName);
        try {
            Object bean = Class.forName(className).newInstance();
            su.getRequest().setAttribute(formName, bean);
        } catch (Exception e) {
            throw new JimFatalException("Cannot create object of class " + className, e);
        }
        
        return mapping.findForward("created");
    }
    
}
